package com.pcloud.book.book.vo;

import com.pcloud.book.book.entity.KeywordWarehouseDetail;
import com.pcloud.common.utils.BeanUtils;

import lombok.Data;

@Data
public class KeywordWearhouseLabelVO {

    private Long professionalLabelId;

    private String professionalLabelName;

    private Long depthLabelId;

    private String depthLabelName;

    private Long purposeLabelId;

    private String purposeLabelName;

    public static KeywordWearhouseLabelVO cloneByEntity(KeywordWarehouseDetail detail) {
        if (null == detail) {
            return new KeywordWearhouseLabelVO();
        }
        final KeywordWearhouseLabelVO detailVO = new KeywordWearhouseLabelVO();
        BeanUtils.copyProperties(detail, detailVO);
        return detailVO;
    }

}
